GDB (xrefs)

Public Member Functions | List of all members
gdb.function.strfns._MemEq Class Reference
Inheritance diagram for gdb.function.strfns._MemEq:

## Public Member Functions
def | __init__ (self)
def | invoke (self, a, b, length)
def | __init__ (self)
def | invoke (self, a, b, length)

## Detailed Description

    $_memeq - compare bytes of memory

    Usage:
    $_memeq(a, b, len)

    Returns:
    True if len bytes at a and b compare equally.

Definition at line 23 of file strfns.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.function.strfns._MemEq.__init__ | ( |  | self | ) |

Definition at line 32 of file strfns.py.

Referenced by gdb.function.strfns._MemEq.__init__().

## ◆ __init__() [2/2]

def gdb.function.strfns._MemEq.__init__ | ( |  | self | ) |

Definition at line 32 of file strfns.py.

References gdb.function.strfns._MemEq.__init__().

## Member Function Documentation

## ◆ invoke() [1/2]

def gdb.function.strfns._MemEq.invoke | ( |  | self,
|  |  | a,
|  |  | b,
|  |  | length
| ) |  |

Definition at line 35 of file strfns.py.

Referenced by gdb.function.strfns._MemEq.invoke().

## ◆ invoke() [2/2]

def gdb.function.strfns._MemEq.invoke | ( |  | self,
|  |  | a,
|  |  | b,
|  |  | length
| ) |  |

Definition at line 35 of file strfns.py.

References gdb.function.strfns._MemEq.invoke().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/function/strfns.py